#
# spec file for package kicad-symbols
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# 8.x.y are bugfix versions, do not require users to upgrade symbols/footprints/packages
%define compatversion 8.0.0

Name:           kicad-symbols
Version:        8.0.1
%define file_version 8.0.1
Release:        1.2
Summary:        Schematic symbol library for KiCad
# License is CC-BY-SA-4.0 but there is an exception
# See included LICENSE.md and kicad.org/libraries/license/
License:        CC-BY-SA-4.0
Group:          Productivity/Scientific/Electronics
URL:            https://www.kicad.org
Source:         https://gitlab.com/kicad/libraries/kicad-symbols/-/archive/%{file_version}/kicad-symbols-%{file_version}.tar.bz2#/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  fdupes
Requires:       kicad-footprints = %{version}
Provides:       kicad-library = %{version}
Provides:       kicad-symbols = %{compatversion}
Obsoletes:      kicad-library < 5.0.0
BuildArch:      noarch

%description
KiCad is a software suite used for Electronic Design Automation (EDA).

This is the schematic symbol library package for KiCad.

%prep
%setup -q -n %{name}-%{file_version}

%build
%cmake
%cmake_build

%install
%cmake_install
%fdupes %{buildroot}/%{_datadir}/kicad/

%files
%doc README.md CONTRIBUTING.md
%license LICENSE.md
%{_datadir}/kicad/

%changelog
* Fri Mar 15 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 8.0.1:
  See https://www.kicad.org/blog/2024/03/KiCad-8.0.1-Release/ for details
* Sun Feb 25 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 8.0.0:
  See https://www.kicad.org/blog/2024/02/KiCad-8.0.0-Release/ for details
* Mon Jan  1 2024 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.10:
  See https://www.kicad.org/blog/2023/12/KiCad-7.0.10-Release/ for details
* Thu Dec  7 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.9:
  See https://www.kicad.org/blog/2023/11/KiCad-7.0.9-Release/ for details
- update to 7.0.8:
  See https://www.kicad.org/blog/2023/09/KiCad-7.0.8-Release/ for details
* Mon Sep 11 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.7:
  See https://www.kicad.org/blog/2023/08/KiCad-7.0.7-Release/ for details.
* Mon Aug 14 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.6:
  See https://www.kicad.org/blog/2023/07/KiCad-7.0.6-Release/ for details.
* Sat Jun  3 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.5:
  See https://www.kicad.org/blog/2023/05/KiCad-7.0.5-Release/ for details.
* Tue Apr 25 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.2:
  See https://www.kicad.org/blog/2023/04/KiCad-7.0.2-Release/ for details.
* Sat Mar 11 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.1:
  See https://www.kicad.org/blog/2023/03/KiCad-7.0.1-Release/ for details.
* Tue Feb 14 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 7.0.0:
  See https://www.kicad.org/blog/2023/02/Version-7.0.0-Released/ for details.
* Thu Jan 26 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to 6.0.11:
  See https://www.kicad.org/blog/2023/01/KiCad-6.0.11-Release/ for details.
* Sat Nov  5 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.9
  See https://www.kicad.org/blog/2022/10/KiCad-6.0.9-Release/ for details.
* Fri Oct 28 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.8
  See https://www.kicad.org/blog/2022/09/KiCad-6.0.8-Release/ for details.
* Sun Aug 28 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.7
  See https://www.kicad.org/blog/2022/07/KiCad-6.0.7-Release/ for details.
* Tue Jun 21 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.6
  See https://www.kicad.org/blog/2022/06/KiCad-6.0.6-Release/ for details.
* Fri May 13 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.5
  See https://www.kicad.org/blog/2022/05/KiCad-6.0.5-Release/ for details.
* Sat Mar 19 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.4
  See https://www.kicad.org/blog/2022/03/KiCad-6.0.4-Release/ for details.
* Fri Feb 11 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.2
  See https://www.kicad.org/blog/2022/02/KiCad-6.0.2-Release/ for details.
* Tue Jan 25 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.1
  See https://www.kicad.org/blog/2022/01/KiCad-6.0.1-Release/ for details.
* Sat Dec 25 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 6.0.0
  See https://www.kicad.org/blog/2021/12/KiCad-6.0.0-Release/ for details.
* Thu Nov 18 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.12
  See https://kicad.org/blog/2021/11/KiCad-5.1.12-Release/ for details.
* Sat Oct 30 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.11
  See https://kicad.org/blog/2021/11/KiCad-5.1.11-Release/ for details.
- Replace references to old domain (hijacked) with kicad.org
  https://www.kicad.org/blog/2021/10/Avoid-links-to-former-kicad-domain/
* Wed Apr 28 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.10
  See https://kicad.org/blog/2021/05/KiCad-5.1.10-Release/ for details.
* Wed Dec 30 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.9
  See https://kicad.org/blog/2020/12/KiCad-5.1.9-Release/ for details.
* Fri Nov  6 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.8
  See https://kicad.org/blog/2020/11/KiCad-5.1.8-Release/ for details.
- Updated Source URL to gitlab
* Mon Sep 28 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.7, no changelog provided
* Thu May 28 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.6
  See http://kicad-pcb.org/blog/2020/05/KiCad-5.1.6-Release/ for details.
* Mon Nov 18 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.5
  See http://kicad-pcb.org/blog/2019/11/KiCad-5.1.5-Release/ for details.
* Wed Aug  7 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.4
  See http://kicad-pcb.org/blog/2019/08/KiCad-5.1.4-Release/ for details.
* Mon Apr 15 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.1
  See http://kicad-pcb.org/blog/2019/04/KiCad-5.1.1-Release/ for details.
* Mon Mar 11 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.0
  See http://kicad-pcb.org/blog/2019/03/KiCad-5.1.0-Release/ for details.
* Thu Dec  6 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.0.2
* Thu Oct 18 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.0.1
- Shorten description, strip verbose language duplicated from KiCad package
- Remove unnecessary BuildRequires: gcc-c++
* Fri Aug 17 2018 davejplater@gmail.com
- Fix description's grammar.
* Thu Aug 16 2018 jengelh@inai.de
- Remove duplicated metadata from description.
* Sun Jul 22 2018 davejplater@gmail.com
- Update to version 5.0.0
- License is now CC-BY-SA-4.0
- kicad-symbols replaces kicad-library package.
- Remove kicad-library-3d sub package, 3D symbols now have their
  own package.
* Mon Sep  4 2017 davejplater@gmail.com
- Update to version 4.0.7
- Split 3d symbols into a sub package due to it's size.
* Thu Mar 23 2017 xxxxxmichl@googlemail.com
- Update to version 4.0.6
* Thu Jan 12 2017 davejplater@gmail.com
- Update to version 4.0.5
* Mon Sep 12 2016 davejplater@gmail.com
- Update to version 4.0.4
* Mon Aug  8 2016 dmitry_r@opensuse.org
- Update to version 4.0.3
* Mon Mar 21 2016 dmitry_r@opensuse.org
- Update to version 4.0.2
* Wed Jul 31 2013 dmitry_r@opensuse.org
- Update to version 20130729
* Tue Apr  9 2013 werner.ho@gmx.de
- Update to version 20130409
* Thu Jan 24 2013 dmitry_r@opensuse.org
- Update to version 20130122
* Tue Jan  8 2013 cfarrell@suse.com
- license update: LGPL-2.1+
  See COPYING and the majority of source code files
* Fri Dec 28 2012 dmitry_r@opensuse.org
- spec file cleanup
* Sun Apr  1 2012 werner.ho@gmx.de
- Update to 2012-03-25-BZR120
* Sat May 28 2011 werner.ho@gmx.de
- Update to 2011-05-28-BZR109
* Tue Apr 13 2010 mhopf@novell.com
- Update to 2010-04-06-SVN2508
* Thu Dec 17 2009 werner.ho@gmx.de
- created library links from supports.mod to sockets.mod
  This is another fix for #549936
* Sat Dec  5 2009 werner.ho@gmx.de
- use library from SVN repo. There's no working library
  package on soureforge. Fixes #549936
* Tue Mar 25 2008 werner.ho@gmx.de
- initial build of the kicad library package version 1.0
